#pragma once

class ByteBuffer;
struct Block;
struct List;

void SerializeEntity(ByteBuffer &bytebuf, const Block &entity);
void SerializeItem(ByteBuffer &bytebuf, const Block &item);
void SerializeState(ByteBuffer &bytebuf, const List &state);
